List poll participants
curl --request GET \
--url https://api.rallly.co/v1/polls/{pollId}/participants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallly.co/v1/polls/{pollId}/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallly.co/v1/polls/{pollId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cm5j2r8wb0003q9l4a1x6p0zt",
"name": "Jane Smith",
"email": "jane@example.com",
"createdAt": "2025-01-10T12:00:00.000Z",
"availability": [
{
"start": "2025-01-15T09:00:00.000Z",
"end": "2025-01-15T09:30:00.000Z",
"allDay": false,
"modifiers": [
"ifNeedBe"
]
}
]
}
]
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "title: Invalid input: expected string, received undefined"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "title: Invalid input: expected string, received undefined"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "title: Invalid input: expected string, received undefined"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "title: Invalid input: expected string, received undefined"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "title: Invalid input: expected string, received undefined"
}
}Polls
List poll participants
Lists every participant of a poll in one response, oldest response first, each with their availability. The poll must belong to the space associated with the API key.
For aggregate counts per option use the results endpoint.
GET
/
v1
/
polls
/
{pollId}
/
participants
List poll participants
Was this page helpful?